package com.fastbee.data.controller.aaScreenAgricultural;

import com.fastbee.common.core.domain.AjaxResult;
import com.fastbee.deviceData.domain.DeviceRealtimedataMoisture;
import com.fastbee.deviceData.service.IDeviceRealtimedataMoistureService;
import com.fastbee.deviceData.service.impl.DeviceRealtimedataMoistureServiceImpl;
import com.fastbee.deviceInfo.service.IDeviceInformationMoistureService;
import com.fastbee.deviceInfo.service.impl.DeviceInformationMoistureServiceImpl;
import io.lettuce.core.dynamic.annotation.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController()
@RequestMapping("/moisture")
public class DeviceRealtimedataMoistureController {


    @Autowired
    private IDeviceRealtimedataMoistureService deviceRealtimedataMoistureService;
    @Autowired
    private IDeviceInformationMoistureService deviceInformationMoistureService;


    /**
     * 获取最新一条墒情数据
     */
    @GetMapping("/weather/realtimedata")
    public AjaxResult getLatestWeatherRealtimedata( String deviceId) {
        return AjaxResult.success(deviceRealtimedataMoistureService.getLatestWeatherRealtimedata(deviceId));
    }
    /**
     * 获取最新一条墒情设备下拉列表
     */
    @GetMapping("/weather/pullDown")
    public AjaxResult getLatestWeatherPullDown() {
        return AjaxResult.success(deviceInformationMoistureService.selectDeviceInformationMoistureList(null));
    }
}
