package com.fastbee.crop.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 农作物信息管理对象 agriculture_crop_info
 *
 * @author kerwincui
 * @date 2024-11-26
 */
@ApiModel(value = "AgricultureCropInfo",description = "农作物信息管理 agriculture_crop_info")
@Data
@EqualsAndHashCode(callSuper = true)
public class AgricultureCropInfo extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 作物名称 */
            @Excel(name = "作物名称")
            @ApiModelProperty("作物名称")
    private String cropName;

    /** sheng'zh1. **播种期** 2. **分蘖期** 3. **拔节期** 4. **抽穗期** 5. **成熟期**  */
            @Excel(name = "sheng'zh1. **播种期** 2. **分蘖期** 3. **拔节期** 4. **抽穗期** 5. **成熟期** ")
            @ApiModelProperty("sheng'zh1. **播种期** 2. **分蘖期** 3. **拔节期** 4. **抽穗期** 5. **成熟期** ")
    private String growthPeriod;

    /** 种植面积（单位：平方米） */
            @Excel(name = "种植面积", readConverterExp = "单=位：平方米")
            @ApiModelProperty("种植面积")
    private BigDecimal plantingArea;

    /** 其他信息 */
            @Excel(name = "其他信息")
            @ApiModelProperty("其他信息")
    private String otherInfo;

}
