package com.fastbee.crop.mapper;

import java.util.List;
import com.fastbee.crop.domain.AgricultureCropInfo;

/**
 * 农作物信息管理Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-26
 */
public interface AgricultureCropInfoMapper
{
    /**
     * 查询农作物信息管理
     *
     * @param id 农作物信息管理主键
     * @return 农作物信息管理
     */
    public AgricultureCropInfo selectAgricultureCropInfoById(Long id);

    /**
     * 查询农作物信息管理列表
     *
     * @param agricultureCropInfo 农作物信息管理
     * @return 农作物信息管理集合
     */
    public List<AgricultureCropInfo> selectAgricultureCropInfoList(AgricultureCropInfo agricultureCropInfo);

    /**
     * 新增农作物信息管理
     *
     * @param agricultureCropInfo 农作物信息管理
     * @return 结果
     */
    public int insertAgricultureCropInfo(AgricultureCropInfo agricultureCropInfo);

    /**
     * 修改农作物信息管理
     *
     * @param agricultureCropInfo 农作物信息管理
     * @return 结果
     */
    public int updateAgricultureCropInfo(AgricultureCropInfo agricultureCropInfo);

    /**
     * 删除农作物信息管理
     *
     * @param id 农作物信息管理主键
     * @return 结果
     */
    public int deleteAgricultureCropInfoById(Long id);

    /**
     * 批量删除农作物信息管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAgricultureCropInfoByIds(Long[] ids);
}
