package com.fastbee.crop.mapper;

import java.util.List;
import com.fastbee.crop.domain.AgricultureCropYield;

/**
 * 作物产量记录Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-26
 */
public interface AgricultureCropYieldMapper
{
    /**
     * 查询作物产量记录
     *
     * @param id 作物产量记录主键
     * @return 作物产量记录
     */
    public AgricultureCropYield selectAgricultureCropYieldById(Long id);

    /**
     * 查询作物产量记录列表
     *
     * @param agricultureCropYield 作物产量记录
     * @return 作物产量记录集合
     */
    public List<AgricultureCropYield> selectAgricultureCropYieldList(AgricultureCropYield agricultureCropYield);

    /**
     * 新增作物产量记录
     *
     * @param agricultureCropYield 作物产量记录
     * @return 结果
     */
    public int insertAgricultureCropYield(AgricultureCropYield agricultureCropYield);

    /**
     * 修改作物产量记录
     *
     * @param agricultureCropYield 作物产量记录
     * @return 结果
     */
    public int updateAgricultureCropYield(AgricultureCropYield agricultureCropYield);

    /**
     * 删除作物产量记录
     *
     * @param id 作物产量记录主键
     * @return 结果
     */
    public int deleteAgricultureCropYieldById(Long id);

    /**
     * 批量删除作物产量记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAgricultureCropYieldByIds(Long[] ids);
}
