package com.fastbee.deviceData.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import org.apache.poi.hpsf.Decimal;

/**
 * 气象设备实时数据对象 iot_device_realtimedata_meteorology
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@ApiModel(value = "DeviceRealtimedataMeteorology",description = "气象设备实时数据 iot_device_realtimedata_meteorology")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("iot_device_realtimedata_meteorology")
public class DeviceRealtimedataMeteorology
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备id */
            @Excel(name = "设备id")
            @ApiModelProperty("设备id")
    private String deviceId;

    /** 空气温度 */
            @Excel(name = "空气温度")
            @ApiModelProperty("空气温度")
    private BigDecimal airTemp;

    /** 空气湿度 */
            @Excel(name = "空气湿度")
            @ApiModelProperty("空气湿度")
    private BigDecimal airHumi;

    /** 风速 */
            @Excel(name = "风速")
            @ApiModelProperty("风速")
    private BigDecimal windSpeed;

    /** 风向 */
            @Excel(name = "风向")
            @ApiModelProperty("风向")
    private BigDecimal windDir;

    /** 大气压力 */
            @Excel(name = "大气压力")
            @ApiModelProperty("大气压力")
    private BigDecimal airPre;

    /** 光照度 */
            @Excel(name = "光照度")
            @ApiModelProperty("光照度")
    private BigDecimal guangzhao;

    /** 光合有效辐射 */
            @Excel(name = "光合有效辐射")
            @ApiModelProperty("光合有效辐射")
    private BigDecimal fushe;

    /** 累积雨量 */
            @Excel(name = "累积雨量")
            @ApiModelProperty("累积雨量")
    private BigDecimal sumRain;

    /** 瞬时雨量 */
            @Excel(name = "瞬时雨量")
            @ApiModelProperty("瞬时雨量")
    private BigDecimal insRain;

    /** 日雨量 */
            @Excel(name = "日雨量")
            @ApiModelProperty("日雨量")
    private BigDecimal dayRain;

    /** 蒸发量 */
            @Excel(name = "蒸发量")
            @ApiModelProperty("蒸发量")
    private BigDecimal zhengfa;

    /** 土壤温度 */
            @Excel(name = "土壤温度")
            @ApiModelProperty("土壤温度")
    private BigDecimal soilTemp;

    /** 土壤湿度 */
            @Excel(name = "土壤湿度")
            @ApiModelProperty("土壤湿度")
    private BigDecimal soilHumi;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    /** 保存时间 */

    @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("保存时间")
    private Date saveTime;

    /** 数据实时时间 */
    @Excel(name = "数据实时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("数据实时时间")
    private Date realTime;

}
