package com.fastbee.deviceData.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceData.domain.DeviceRealtimedataMoisture;
import org.apache.ibatis.annotations.Mapper;

/**
 * 墒情实时数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface DeviceRealtimedataMoistureMapper extends BaseMapper<DeviceRealtimedataMoisture>
{
    /**
     * 查询墒情实时数据
     *
     * @param id 墒情实时数据主键
     * @return 墒情实时数据
     */
    public DeviceRealtimedataMoisture selectDeviceRealtimedataMoistureById(Long id);

    /**
     * 查询墒情实时数据列表
     *
     * @param deviceRealtimedataMoisture 墒情实时数据
     * @return 墒情实时数据集合
     */
    public List<DeviceRealtimedataMoisture> selectDeviceRealtimedataMoistureList(DeviceRealtimedataMoisture deviceRealtimedataMoisture);

    /**
     * 新增墒情实时数据
     *
     * @param deviceRealtimedataMoisture 墒情实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMoisture(DeviceRealtimedataMoisture deviceRealtimedataMoisture);

    /**
     * 修改墒情实时数据
     *
     * @param deviceRealtimedataMoisture 墒情实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMoisture(DeviceRealtimedataMoisture deviceRealtimedataMoisture);

    /**
     * 删除墒情实时数据
     *
     * @param id 墒情实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMoistureById(Long id);

    /**
     * 批量删除墒情实时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMoistureByIds(Long[] ids);
}
