package com.fastbee.deviceData.service;

import com.fastbee.deviceData.domain.DeviceManufacturers;

import java.util.List;

/**
 * 设备厂家信息Service接口
 * 
 * @author kerwincui
 * @date 2024-11-13
 */
public interface IDeviceManufacturersService 
{
    /**
     * 查询设备厂家信息
     * 
     * @param id 设备厂家信息主键
     * @return 设备厂家信息
     */
    public DeviceManufacturers selectDeviceManufacturersById(Long id);

    /**
     * 查询设备厂家信息列表
     * 
     * @param deviceManufacturers 设备厂家信息
     * @return 设备厂家信息集合
     */
    public List<DeviceManufacturers> selectDeviceManufacturersList(DeviceManufacturers deviceManufacturers);

    /**
     * 新增设备厂家信息
     * 
     * @param deviceManufacturers 设备厂家信息
     * @return 结果
     */
    public int insertDeviceManufacturers(DeviceManufacturers deviceManufacturers);

    /**
     * 修改设备厂家信息
     * 
     * @param deviceManufacturers 设备厂家信息
     * @return 结果
     */
    public int updateDeviceManufacturers(DeviceManufacturers deviceManufacturers);

    /**
     * 批量删除设备厂家信息
     * 
     * @param ids 需要删除的设备厂家信息主键集合
     * @return 结果
     */
    public int deleteDeviceManufacturersByIds(Long[] ids);

    /**
     * 删除设备厂家信息信息
     * 
     * @param id 设备厂家信息主键
     * @return 结果
     */
    public int deleteDeviceManufacturersById(Long id);
}
