package com.fastbee.deviceData.service;

import java.util.List;
import java.util.Map;

import com.fastbee.deviceData.domain.DeviceRealtimedataMeteorology;
import com.fastbee.deviceData.domain.dto.DeviceProperties;

/**
 * 气象设备实时数据Service接口
 * 
 * @author kerwincui
 * @date 2024-11-14
 */
public interface IDeviceRealtimedataMeteorologyService 
{
    /**
     * 查询气象设备实时数据
     * 
     * @param id 气象设备实时数据主键
     * @return 气象设备实时数据
     */
    public DeviceRealtimedataMeteorology selectDeviceRealtimedataMeteorologyById(Long id);

    /**
     * 查询气象设备实时数据列表
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 气象设备实时数据集合
     */
    public List<DeviceRealtimedataMeteorology> selectDeviceRealtimedataMeteorologyList(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 新增气象设备实时数据
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 修改气象设备实时数据
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 批量删除气象设备实时数据
     * 
     * @param ids 需要删除的气象设备实时数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyByIds(Long[] ids);

    /**
     * 删除气象设备实时数据信息
     * 
     * @param id 气象设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyById(Long id);

    /**
     * 获取最新的一条气象数据
     * @return
     */
    public List<DeviceProperties> getLatestWeatherRealtimedata();
}
