package com.fastbee.deviceInfo.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 监控站设备基础信息对象 iot_device_information_monitor
 *
 * @author kerwincui
 * @date 2024-11-20
 */
@ApiModel(value = "DeviceInformationMonitor",description = "监控站设备基础信息 iot_device_information_monitor")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName ("iot_device_information_monitor")
public class DeviceInformationMonitor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty("名称")
    private String name;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @ApiModelProperty("设备编码")
    private String deviceEncoding;

    /** 类型 */
    @Excel(name = "类型")
    @ApiModelProperty("类型")
    private String type;

    /** 经度 */
    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private String latitude;

    /** 安装位置 */
    @Excel(name = "安装位置")
    @ApiModelProperty("安装位置")
    private String installationLocation;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    @ApiModelProperty("设备品牌")
    private String deviceBrand;

    /** 设备型号 */
    @Excel(name = "设备型号")
    @ApiModelProperty("设备型号")
    private String deviceType;

    /** 项目的名称 */
    @Excel(name = "项目的名称")
    @ApiModelProperty("项目的名称")
    private String nameProject;

    /** 建设年度 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建设年度", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("建设年度")
    private Date constructionYear;

    /** 所属乡镇 */
    @Excel(name = "所属乡镇")
    @ApiModelProperty("所属乡镇")
    private String affiliationTownship;

    /** 管理负责人 */
    @Excel(name = "管理负责人")
    @ApiModelProperty("管理负责人")
    private String managementLeader;

    /** 管理负责人电话 */
    @Excel(name = "管理负责人电话")
    @ApiModelProperty("管理负责人电话")
    private String managementLeaderTelephone;

    /** 管理单位 */
    @Excel(name = "管理单位")
    @ApiModelProperty("管理单位")
    private String managementUnit;

    /** 备注信息 */
    @Excel(name = "备注信息")
    @ApiModelProperty("备注信息")
    private String remarksInformation;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    //------------------------------------------------------------------------------------业务字段---------------


    /** 监控播放地址 */
    @Excel(name = "监控播放地址")
    @ApiModelProperty("监控播放地址")
    private String playUrl;

    /** accessToken */
    @Excel(name = "accessToken")
    @ApiModelProperty("accessToken")
    private String accessToken;

}
