package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationMeteorology;
import org.apache.ibatis.annotations.Mapper;

/**
 * 气象设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationMeteorologyMapper extends BaseMapper<DeviceInformationMeteorology>
{
    /**
     * 查询气象设备基础信息
     *
     * @param id 气象设备基础信息主键
     * @return 气象设备基础信息
     */
    public DeviceInformationMeteorology selectDeviceInformationMeteorologyById(Long id);

    /**
     * 查询气象设备基础信息列表
     *
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 气象设备基础信息集合
     */
    public List<DeviceInformationMeteorology> selectDeviceInformationMeteorologyList(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 新增气象设备基础信息
     *
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMeteorology(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 修改气象设备基础信息
     *
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMeteorology(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 删除气象设备基础信息
     *
     * @param id 气象设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMeteorologyById(Long id);

    /**
     * 批量删除气象设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMeteorologyByIds(Long[] ids);
}
