package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationMiaoqing;
import org.apache.ibatis.annotations.Mapper;

/**
 * 苗情设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationMiaoqingMapper extends BaseMapper<DeviceInformationMiaoqing>
{
    /**
     * 查询苗情设备基础信息
     *
     * @param id 苗情设备基础信息主键
     * @return 苗情设备基础信息
     */
    public DeviceInformationMiaoqing selectDeviceInformationMiaoqingById(Long id);

    /**
     * 查询苗情设备基础信息列表
     *
     * @param deviceInformationMiaoqing 苗情设备基础信息
     * @return 苗情设备基础信息集合
     */
    public List<DeviceInformationMiaoqing> selectDeviceInformationMiaoqingList(DeviceInformationMiaoqing deviceInformationMiaoqing);

    /**
     * 新增苗情设备基础信息
     *
     * @param deviceInformationMiaoqing 苗情设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMiaoqing(DeviceInformationMiaoqing deviceInformationMiaoqing);

    /**
     * 修改苗情设备基础信息
     *
     * @param deviceInformationMiaoqing 苗情设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMiaoqing(DeviceInformationMiaoqing deviceInformationMiaoqing);

    /**
     * 删除苗情设备基础信息
     *
     * @param id 苗情设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMiaoqingById(Long id);

    /**
     * 批量删除苗情设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMiaoqingByIds(Long[] ids);
}
