package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationMoisture;
import org.apache.ibatis.annotations.Mapper;

/**
 * 墒情设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationMoistureMapper extends BaseMapper<DeviceInformationMoisture>
{
    /**
     * 查询墒情设备基础信息
     *
     * @param id 墒情设备基础信息主键
     * @return 墒情设备基础信息
     */
    public DeviceInformationMoisture selectDeviceInformationMoistureById(Long id);

    /**
     * 查询墒情设备基础信息列表
     *
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 墒情设备基础信息集合
     */
    public List<DeviceInformationMoisture> selectDeviceInformationMoistureList(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 新增墒情设备基础信息
     *
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMoisture(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 修改墒情设备基础信息
     *
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMoisture(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 删除墒情设备基础信息
     *
     * @param id 墒情设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMoistureById(Long id);

    /**
     * 批量删除墒情设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMoistureByIds(Long[] ids);
}
