package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationTargetpests;
import org.apache.ibatis.annotations.Mapper;

/**
 * 靶标害虫设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationTargetpestsMapper extends BaseMapper<DeviceInformationTargetpests>
{
    /**
     * 查询靶标害虫设备基础信息
     *
     * @param id 靶标害虫设备基础信息主键
     * @return 靶标害虫设备基础信息
     */
    public DeviceInformationTargetpests selectDeviceInformationTargetpestsById(Long id);

    /**
     * 查询靶标害虫设备基础信息列表
     *
     * @param deviceInformationTargetpests 靶标害虫设备基础信息
     * @return 靶标害虫设备基础信息集合
     */
    public List<DeviceInformationTargetpests> selectDeviceInformationTargetpestsList(DeviceInformationTargetpests deviceInformationTargetpests);

    /**
     * 新增靶标害虫设备基础信息
     *
     * @param deviceInformationTargetpests 靶标害虫设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationTargetpests(DeviceInformationTargetpests deviceInformationTargetpests);

    /**
     * 修改靶标害虫设备基础信息
     *
     * @param deviceInformationTargetpests 靶标害虫设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationTargetpests(DeviceInformationTargetpests deviceInformationTargetpests);

    /**
     * 删除靶标害虫设备基础信息
     *
     * @param id 靶标害虫设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationTargetpestsById(Long id);

    /**
     * 批量删除靶标害虫设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationTargetpestsByIds(Long[] ids);
}
