package com.fastbee.deviceInfo.service;

import java.util.List;
import com.fastbee.deviceInfo.domain.DeviceInformationMeteorology;

/**
 * 气象设备基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-11-18
 */
public interface IDeviceInformationMeteorologyService 
{
    /**
     * 查询气象设备基础信息
     * 
     * @param id 气象设备基础信息主键
     * @return 气象设备基础信息
     */
    public DeviceInformationMeteorology selectDeviceInformationMeteorologyById(Long id);

    /**
     * 查询气象设备基础信息列表
     * 
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 气象设备基础信息集合
     */
    public List<DeviceInformationMeteorology> selectDeviceInformationMeteorologyList(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 新增气象设备基础信息
     * 
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMeteorology(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 修改气象设备基础信息
     * 
     * @param deviceInformationMeteorology 气象设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMeteorology(DeviceInformationMeteorology deviceInformationMeteorology);

    /**
     * 批量删除气象设备基础信息
     * 
     * @param ids 需要删除的气象设备基础信息主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMeteorologyByIds(Long[] ids);

    /**
     * 删除气象设备基础信息信息
     * 
     * @param id 气象设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMeteorologyById(Long id);
}
