package com.fastbee.deviceInfo.service;

import java.util.List;
import com.fastbee.deviceInfo.domain.DeviceInformationMoisture;

/**
 * 墒情设备基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-11-18
 */
public interface IDeviceInformationMoistureService 
{
    /**
     * 查询墒情设备基础信息
     * 
     * @param id 墒情设备基础信息主键
     * @return 墒情设备基础信息
     */
    public DeviceInformationMoisture selectDeviceInformationMoistureById(Long id);

    /**
     * 查询墒情设备基础信息列表
     * 
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 墒情设备基础信息集合
     */
    public List<DeviceInformationMoisture> selectDeviceInformationMoistureList(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 新增墒情设备基础信息
     * 
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMoisture(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 修改墒情设备基础信息
     * 
     * @param deviceInformationMoisture 墒情设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMoisture(DeviceInformationMoisture deviceInformationMoisture);

    /**
     * 批量删除墒情设备基础信息
     * 
     * @param ids 需要删除的墒情设备基础信息主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMoistureByIds(Long[] ids);

    /**
     * 删除墒情设备基础信息信息
     * 
     * @param id 墒情设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMoistureById(Long id);
}
