package com.fastbee.ggroup.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 灌区基础信息对象 g_site_irrigate_info
 *
 * @author kerwincui
 * @date 2024-11-04
 */
@ApiModel(value = "GSiteIrrigateInfo",description = "灌区基础信息 g_site_irrigate_info")
@Data
@EqualsAndHashCode(callSuper = true)
public class GSiteIrrigateInfo extends BaseEntity
{
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 工程名称 */
            @Excel(name = "工程名称")
            @ApiModelProperty("工程名称")
    private String projectName;

    /** 工程编码 */
            @Excel(name = "工程编码")
            @ApiModelProperty("工程编码")
    private String projectCode;

    /** 规模 */
            @Excel(name = "规模")
            @ApiModelProperty("规模")
    private String scale;

    /** 工程位置 */
            @Excel(name = "工程位置")
            @ApiModelProperty("工程位置")
    private String location;

    /** 范围 */
            @Excel(name = "范围")
            @ApiModelProperty("范围")
    private String scope;

    /** 是否跨县 */
            @Excel(name = "是否跨县")
            @ApiModelProperty("是否跨县")
    private Integer crossCounty;

    /** 耕地面积 */
            @Excel(name = "耕地面积")
            @ApiModelProperty("耕地面积")
    private Long cultivatedLandarea;

    /** 设计灌溉面积 */
            @Excel(name = "设计灌溉面积")
            @ApiModelProperty("设计灌溉面积")
    private Long designedIrrigationArea;

    /** 灌溉面积(合计) */
            @Excel(name = "灌溉面积(合计)")
            @ApiModelProperty("灌溉面积(合计)")
    private Long totalIrrigationArea;

    /** 调整后的耕地面积（如果存在重复，请确认后删除一个） */
            @Excel(name = "调整后的耕地面积", readConverterExp = "如=果存在重复，请确认后删除一个")
            @ApiModelProperty("调整后的耕地面积")
    private Long adjustedCultivatedLandArea;

    /** 园林草地面积 */
            @Excel(name = "园林草地面积")
            @ApiModelProperty("园林草地面积")
    private Long gardenGrasslandArea;

    /** 管理单位名称 */
            @Excel(name = "管理单位名称")
            @ApiModelProperty("管理单位名称")
    private String managementUnitName;

    /** 管理类型 */
            @Excel(name = "管理类型")
            @ApiModelProperty("管理类型")
    private String managementType;

    /** 主要水源工程 */
            @Excel(name = "主要水源工程")
            @ApiModelProperty("主要水源工程")
    private String mainWaterSource;

    /** 补充水源工程 */
            @Excel(name = "补充水源工程")
            @ApiModelProperty("补充水源工程")
    private String supplementaryWaterSource;

    /** 用水户协会数量 */
            @Excel(name = "用水户协会数量")
            @ApiModelProperty("用水户协会数量")
    private Long waterUsersAssociation;

    /** 用水户协会管理面积 */
            @Excel(name = "用水户协会管理面积")
            @ApiModelProperty("用水户协会管理面积")
    private Long waterUsersAssociationArea;

    /** 专管人员数量 */
            @Excel(name = "专管人员数量")
            @ApiModelProperty("专管人员数量")
    private Long specializedStaff;

    /** 隶属关系 */
            @Excel(name = "隶属关系")
            @ApiModelProperty("隶属关系")
    private String subordination;

    /** 核定水价情况 */
            @Excel(name = "核定水价情况")
            @ApiModelProperty("核定水价情况")
    private Integer approvedWaterPrices;

    /** 核定水价 */
            @Excel(name = "核定水价")
            @ApiModelProperty("核定水价")
    private BigDecimal approvedWaterPrice;

    /** 执行水价 */
            @Excel(name = "执行水价")
            @ApiModelProperty("执行水价")
    private BigDecimal executedWaterPrice;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    /** 所属站点id */
            @Excel(name = "所属站点id")
            @ApiModelProperty("所属站点id")
    private Long siteId;

}
