package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteDevice;
import com.github.yulichang.base.MPJBaseMapper;
import com.github.yulichang.interfaces.MPJBaseJoin;
import org.apache.ibatis.annotations.Mapper;

/**
 * 站点设备关系Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-05
 */
@Mapper
public interface GSiteDeviceMapper extends MPJBaseMapper<GSiteDevice>
{
    /**
     * 查询站点设备关系
     *
     * @param id 站点设备关系主键
     * @return 站点设备关系
     */
    public GSiteDevice selectGSiteDeviceById(Long id);

    /**
     * 查询站点设备关系列表
     *
     * @param gSiteDevice 站点设备关系
     * @return 站点设备关系集合
     */
    public List<GSiteDevice> selectGSiteDeviceList(GSiteDevice gSiteDevice);

    /**
     * 新增站点设备关系
     *
     * @param gSiteDevice 站点设备关系
     * @return 结果
     */
    public int insertGSiteDevice(GSiteDevice gSiteDevice);

    /**
     * 修改站点设备关系
     *
     * @param gSiteDevice 站点设备关系
     * @return 结果
     */
    public int updateGSiteDevice(GSiteDevice gSiteDevice);

    /**
     * 删除站点设备关系
     *
     * @param id 站点设备关系主键
     * @return 结果
     */
    public int deleteGSiteDeviceById(Long id);

    /**
     * 批量删除站点设备关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSiteDeviceByIds(Long[] ids);
}
