package com.fastbee.ggroup.service;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteReservoirInfo;

/**
 * 水库站点基础信息Service接口
 * 
 * @author kerwincui
 * &#064;date  2024-10-23
 */
public interface IGSiteReservoirInfoService 
{

    /**
     * 根据站点的id查询水闸的站点信息
     * @param siteId 水闸站点的id
     * @return 水闸站点的信息
     */

    public GSiteReservoirInfo selectGSiteReservoirInfoBySiteId(Long siteId);

    /**
     * 修改水库站点基础信息
     * 
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 结果
     */
    public int updateGSiteReservoirInfo(GSiteReservoirInfo gSiteReservoirInfo);


}
