package com.fastbee.iot.domain;

import lombok.Data;

/**
 * 设备参数设置对象 device_param_config
 *
 * @author mafa
 * @date 2023-08-22
 */
@Data
public class JiankongDeviceParam
{
    private static final long serialVersionUID = 1L;


    /** 设备id */
    private Long deviceId;
    /** ezopen协议地址的本地录像/云存储录像回放开始时间,示例：2019-12-01 00:00:00 */
    private String startTime;
    /** ezopen协议地址的本地录像/云存储录像回放开始时间,示例：2019-12-01 00:00:00 */
    private String stopTime;
    /** ezopen协议地址的类型，1-预览，2-本地录像回放，3-云存储录像回放，非必选，默认为1 */
    private String type;
    /** ezopen协议地址的设备的视频加密密码 */
    private String code;
    /** 流播放协议，1-ezopen、2-hls、3-rtmp、4-flv，默认为1 */
    private String protocol;

    /** 视频清晰度，1-高清（主码流）、2-流畅（子码流） */
    private String quality;

    /** 云台操作命令：0-上，1-下，2-左，3-右，4-左上，5-左下，6-右上，7-右下，8-放大，9-缩小，10-近焦距，11-远焦距 */
    private String direction;
    /** 云台操作命令：速度 */
    private String speed;

    /** 云台操作命令：传了一直动  不传移动一格 */
    private String notStop;










}
