package com.fastbee.iot.timer;

import com.fastbee.deviceData.api.devlink.service.ZhanLianMetDataService;
import com.fastbee.deviceData.api.devlink.service.ZhanLianMiaoQingDataService;
import com.fastbee.deviceData.api.devlink.service.ZhanLianMoistureDataService;
import com.fastbee.deviceData.api.devlink.service.ZhanLianPhotovoltaicDataService;
import com.fastbee.deviceData.api.renke.service.RenkeDeviceDataService;
import com.fastbee.deviceData.domain.*;

import com.fastbee.deviceData.mapper.*;
import com.fastbee.iot.mapper.DeviceMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

/**
 * @author mijiupro
 */
@Component("agricultureDeviceDateTask")
public class DeviceDateTask {
//

    @Autowired
    private StringRedisTemplate stringRedisTemplate;

//    @Autowired
//    private ThreadPoolTaskExecutor taskExecutor;

    @Autowired
    private DeviceMapper deviceMapper;

    @Autowired
    private DeviceRealtimedataWormsMapper deviceRealtimedataWormsMapper;

    @Autowired
    private DeviceRealtimedataMeteorologyMapper deviceRealtimedataMeteorologyMapper;

    @Autowired
    private DeviceRealtimedataMoistureMapper deviceRealtimedataMoistureMapper;

    @Autowired
    private DeviceRealtimedataPhotovoltaicMapper deviceRealtimedataPhotovoltaicMapper;

    @Autowired
    private DeviceRealtimedataMiaoqingMapper deviceRealtimedataMiaoqingMapper;

    @Autowired
    private RenkeDeviceDataService wormsService; //虫情设备数据获取

    @Autowired
    private ZhanLianMetDataService metDataService; //气象设备数据获取

    @Autowired
    private ZhanLianMoistureDataService moistureDataService; //墒情设备数据获取

    @Autowired
    private ZhanLianPhotovoltaicDataService photovoltaicDataService; //光伏设备数据获取

    @Autowired
    private ZhanLianMiaoQingDataService miaoQingDataService; //苗情设备数据获取





    /**
     * 获取虫情设备实时数据并保存
     */
    public void getWormsDeviceRealtimeData() throws Exception{

        DeviceRealtimedataWorms deviceRealtimedataWorms = wormsService.setData("1017240042");
        int i = deviceRealtimedataWormsMapper.insert(deviceRealtimedataWorms);
        if (i<1){
            System.out.println("插入数据失败!");
        }
    }

    /**
     * 获取气象设备实时数据并保存
     */
    public void getDevLinkMetDeviceRealtimeData() throws Exception{
        DeviceRealtimedataMeteorology deviceRealtimedataMeteorology = metDataService.setData(metDataService.getDeviceRealTimeData("3269"));
        int i = deviceRealtimedataMeteorologyMapper.insert(deviceRealtimedataMeteorology);
        if (i<1){
            System.out.println("插入数据失败!");
        }

    }
    /**
     * 获取墒情设备实时数据并保存
     */
    public void getDevLinkMoistureDeviceRealtimeData() throws Exception{
        DeviceRealtimedataMoisture deviceRealtimedataMoisture = moistureDataService.setData(moistureDataService.getDeviceRealTimeData("3270"));
        DeviceRealtimedataMoisture deviceRealtimedataMoisture1 = moistureDataService.setData(moistureDataService.getDeviceRealTimeData("3271"));
        int i = deviceRealtimedataMoistureMapper.insert(deviceRealtimedataMoisture);
        int i1 = deviceRealtimedataMoistureMapper.insert(deviceRealtimedataMoisture1);
        if (i<1||i1<1)
            System.out.println("插入数据失败!");
    }

    /**
     * 获取光伏设备实时数据并保存
     */
    public void getDevLinkPhotovoltaicDeviceRealtimeData() throws Exception{
        DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic = photovoltaicDataService.setData(photovoltaicDataService.getDeviceRealTimeData("3276"));
        int i = deviceRealtimedataPhotovoltaicMapper.insert(deviceRealtimedataPhotovoltaic);
        if (i<1)
            System.out.println("插入数据失败!");
    }

    /**
     * 获取苗情设备实时数据并保存
     */
    public void getDevLinkMiaoqingDeviceRealtimeData() throws Exception{
        DeviceRealtimedataMiaoqing deviceRealtimedataMiaoqing = miaoQingDataService.setData(miaoQingDataService.getDeviceRealTimeData("3275"));
        int i = deviceRealtimedataMiaoqingMapper.insert(deviceRealtimedataMiaoqing);
        if (i<1)
            System.out.println("插入数据失败!");
    }



}

