package com.fastbee.system.domain;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 行政区划对象 sys_district
 *
 * @author kerwincui
 * @date 2024-10-25
 */
@ApiModel(value = "SysDistrict",description = "行政区划 sys_district")
@Data
@EqualsAndHashCode(callSuper = true)
public class SysDistrict extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 城市id */
    @Excel(name = "城市id")
    @ApiModelProperty("城市id")
    private Long adcode;

    /** 省市级别 */
    @Excel(name = "省市级别")
    @ApiModelProperty("省市级别")
    private Long level;

    /** 父级id(指向adcode字段) */
    @Excel(name = "父级id(指向adcode字段)")
    @ApiModelProperty("父级id(指向adcode字段)")
    private Long parentId;

    /** 简称 */
    @Excel(name = "简称")
    @ApiModelProperty("简称")
    private String name;

    /** 全称 */
    @Excel(name = "全称")
    @ApiModelProperty("全称")
    private String fullName;

    /** 经度 */
    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private BigDecimal lng;

    /** 纬度 */
    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private BigDecimal lat;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 行政区域地图轮廓json数据 */
    @Excel(name = "行政区域地图轮廓json数据")
    @ApiModelProperty("行政区域地图轮廓json数据")
    private String mapOutline;

    /** 行政区域地图轮廓json数据url */
    @Excel(name = "行政区域地图轮廓json数据url")
    @ApiModelProperty("行政区域地图轮廓json数据url")
    private String mapOutlineUrl;

    private List<SysDistrict> children;

}
